//+------------------------------------------------------------------+
//|                                      Attack Level Alert Long.mq4 |
//|                                                                  |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "ReactoFX"
#property version "1.0"

#property indicator_chart_window
extern string   TLineName = "H4C";
extern string   Trendline = "H4C";

extern bool     AlertOn  = true;

extern color    LineColor = DeepSkyBlue; 

extern int      AlertPipRange = 2;
extern int      BarsAhead = 2;
extern string   AlertWav = ".wav";

extern string   __1 = "===== Alerts Definition =====";
extern bool     SoundAlert = true;
extern bool     EmailAlert = false;
extern bool     NotificationAlert = false;
extern string   label = "TLineText";
extern int      TextSize=8; // text size for price & fib number
extern string   TextFont="Arial"; //text to use for display font
int             TextBarsAhead=2;


//jjj
int LastAlert=0;

int NewAlert=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
      ObjectCreate(TLineName, OBJ_TREND, 0, Time[5], High[5], Time[0], High[5]);
      if (AlertOn){ObjectSet(TLineName, OBJPROP_STYLE, 0);} else {ObjectSet(TLineName, OBJPROP_STYLE, 1);}
      ObjectSet(TLineName, OBJPROP_COLOR, LineColor);
      if (AlertOn){ObjectSet(TLineName, OBJPROP_WIDTH, 0);} else {ObjectSet(TLineName, OBJPROP_WIDTH, 0);}
      ObjectSet(TLineName, OBJPROP_RAY, 0);
      ObjectSet(TLineName,OBJPROP_TIMEFRAMES,OBJ_PERIOD_M1|OBJ_PERIOD_M5|OBJ_PERIOD_M15|OBJ_PERIOD_M30|OBJ_PERIOD_H1|OBJ_PERIOD_H4);
//      ObjectSetText(TLineName,Trendline,8,"Courier",clrWhite);
      ObjectSet(TLineName, OBJPROP_TIME2, Time[0]+BarsAhead*Period()*60);
      
//---- Line label ----//
   
      double price1=0;
      datetime T2;

      price1=ObjectGet(TLineName,OBJPROP_PRICE1);
      T2=ObjectGet(TLineName,OBJPROP_TIME2);

      ObjectCreate(label, OBJ_LABEL, 0, T2+BarsAhead+TextBarsAhead, price1);
      ObjectSetText(label,TLineName, TextSize,TextFont,LineColor);
      ObjectSet(label,OBJPROP_BACK,true);
      ObjectSet(label,OBJPROP_TIMEFRAMES,OBJ_PERIOD_M1|OBJ_PERIOD_M5|OBJ_PERIOD_M15|OBJ_PERIOD_M30|OBJ_PERIOD_H1|OBJ_PERIOD_H4);
     


//---- Alert ----//      

      double val=ObjectGetValueByShift(TLineName, 0);
      if (AlertOn && (Bid-AlertPipRange*Point*10 <= val && Bid+AlertPipRange*Point*10 >= val)) NewAlert=1;
      
     if ( NewAlert==1)
        {
            
          if (LastAlert == 0 || LastAlert < Bars )
            {
            
      if(SoundAlert) Alert(Symbol()+", "+"H4 Close Level"+", "+"Zet op Shortlist");
      if(EmailAlert) SendMail (TLineName +", "+ Symbol()+", "+"M"+Period(),Symbol()+" M"+Period());
      if(NotificationAlert) SendNotification(TLineName + Symbol()+","+Period());
      PlaySound(AlertWav);
      
      LastAlert = Bars;

       
            }
        }         

//----
//----
   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
{
   ObjectDelete(label);
   return(0);
} 
//+------------------------------------------------------------------+